#### D.3.2.24 jordanmatrix

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  jordanmatrix(list(e,s,m)); ideal e, intvec s, intvec m

Assume:
  ncols(e)==size(s)==size(m)

Return:

      matrix J;  Jordan matrix with list(e,s,m)==jordan(J)

Example:

    LIB "linalg.lib";
    ring R=0,x,dp;
    ideal e=ideal(2,3);
    intvec s=1,2;
    intvec m=1,1;
    print(jordanmatrix(list(e,s,m)));
    ==> 2,0,0,
    ==> 0,3,0,
    ==> 0,1,3

User manual for Singular version 4.4.1, 2025, generated by texi2html.